Crashpad

Public Attributes | Static Public Attributes | List of all members
crashpad::CodeViewRecordPDB70 Struct Reference

A CodeView record linking to a `.pdb` 7.0 file. More...

`#include "util/misc/pdb_structures.h"`

## Public Attributes
uint32_t | signature
| The magic number identifying this structure version, the value of kSignature.
UUID | uuid
| The `.pdb` file’s unique identifier.
uint32_t | age
| The revision of the `.pdb` file. More...
uint8_t | pdb_name [1]
| The path or file name of the `.pdb` file associated with the module. More...

## Static Public Attributes
static const uint32_t | kSignature = 'SDSR'
| The magic number identifying this structure version, stored in signature. More...

## Detailed Description

A CodeView record linking to a `.pdb` 7.0 file.

This format provides an indirect link to debugging data by referencing an external `.pdb` file by its name, UUID, and age. This structure may be pointed to by MINIDUMP_MODULE::CvRecord.

For more information about this structure and format, see Matching Debug Information, PDB Files.

See also
  CodeViewRecordPDB20
  IMAGE_DEBUG_MISC

## Member Data Documentation

## ◆ age

uint32_t crashpad::CodeViewRecordPDB70::age

The revision of the `.pdb` file.

A `.pdb` file’s age indicates incremental changes to it. When a `.pdb` file is created, it has age `1`, and subsequent updates increase this value.

## ◆ kSignature

const uint32_t crashpad::CodeViewRecordPDB70::kSignature = 'SDSR'
| static

The magic number identifying this structure version, stored in signature.

In a hex dump, this will appear as “RSDS” when produced by a little-endian machine.

## ◆ pdb_name

uint8_t crashpad::CodeViewRecordPDB70::pdb_name[1]

The path or file name of the `.pdb` file associated with the module.

This is a NUL-terminated string. On Windows, it will be encoded in the code page of the system that linked the module. On other operating systems, UTF-8 may be used.

The documentation for this struct was generated from the following files:

- util/misc/pdb_structures.h
- util/misc/pdb_structures.cc